Page MenuHomePhabricator

Reinstall Analytics Hadoop Cluster with Debian Jessie
Closed, ResolvedPublic0 Story Points

Description

Once T152714 is done, we can begin this process of upgrading the Hadoop cluster to Debian Jessie. We will first add new Hadoop nodes in T152713 as Jessie Hadoop workers, and then incrementally reinstall Trusty Hadoop workers as Jessie. Once that is done, we can reinstall master nodes, analytics1003, and analytics1027. Next quarter we will replace stat1002 and stat1003 with new nodes (T152712), and can install them as Jessie then.

Thing to remember:

  • Follow these instructions to add UUIDs to fstab after installing Debian (handy script provided).
  • Add a dedicate APT cdh archive section and then only include it on Hadoop/Druid hosts (atm we use thirdparty): T155726

Related Objects

StatusAssignedTask
ResolvedNone
ResolvedOttomata
ResolvedCmjohnson
ResolvedOttomata
ResolvedOttomata
ResolvedRobH
ResolvedOttomata
DeclinedNone
ResolvedRobH
ResolvedOttomata
ResolvedOttomata
ResolvedOttomata
Resolvedmpopov
Resolvedmforns
ResolvedOttomata
ResolvedOttomata
ResolvedAddshore
ResolvedGoranSMilovanovic
Resolvedelukey
DeclinedOttomata
ResolvedOttomata
ResolvedErik_Zachte
ResolvedCmjohnson
ResolvedCmjohnson
ResolvedOttomata
Resolvedelukey
Resolvedelukey

Event Timeline

Ottomata created this task.Feb 10 2017, 2:57 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 10 2017, 2:57 PM
elukey added a subscriber: elukey.Feb 10 2017, 2:58 PM
elukey triaged this task as Normal priority.Feb 10 2017, 2:58 PM
elukey added a project: Operations.
elukey added subscribers: faidon, MoritzMuehlenhoff.
elukey updated the task description. (Show Details)Feb 10 2017, 4:37 PM
Nuria edited projects, added Analytics-Kanban; removed Analytics.Mar 13 2017, 4:10 PM
Nuria set the point value for this task to 0.
elukey claimed this task.Mar 29 2017, 12:40 PM
elukey removed elukey as the assignee of this task.
Ottomata moved this task from Parent Tasks to Done on the Analytics-Kanban board.Jul 11 2017, 3:11 PM
Nuria closed this task as Resolved.Jul 11 2017, 6:39 PM